#!/usr/bin/env python
# setup.py generated by flit for tools that don't yet use PEP 517

from distutils.core import setup

packages = \
['stepwise', 'stepwise.cli', 'stepwise.cli.stash']

package_data = \
{'': ['*'], 'stepwise': ['builtins/*']}

install_requires = \
['appdirs',
 'arrow',
 'autoprop',
 'configurator',
 'docopt',
 'entrypoints',
 'inform',
 'more_itertools',
 'sqlalchemy',
 'voluptuous',
 'pandas',
 'xlrd']

extras_require = \
{'docs': ['sphinx', 'sphinx_rtd_theme', 'autoclasstoc'],
 'tests': ['pytest', 'pytest-cov', 'coveralls', 'rtoml']}

entry_points = \
{'console_scripts': ['stepwise = stepwise.cli.main:main',
                     'sw = stepwise.cli.main:main'],
 'stepwise.protocols': ['builtins = stepwise:Builtins']}

setup(name='stepwise',
      version='0.9.0',
      description='Wetlab protocols that follow the Unix philosophy.',
      author='Kale Kundert',
      author_email='kale@thekunderts.net',
      url='https://github.com/kalekundert/stepwise',
      packages=packages,
      package_data=package_data,
      install_requires=install_requires,
      extras_require=extras_require,
      entry_points=entry_points,
      python_requires='~=3.8',
     )
